Subject: Re: git gc - out of memory

From: Alejandro Riveira <[email-masked]>
Date: Mon, 16 Nov 2009 23:10:09 +0000 (UTC)

El Sun, 15 Nov 2009 19:33:27 +0100, Simon Strandgaard escribió:

>>
>> run « git repack -adf --window=memory » on the repo where memory is
>> escaled apropiately for your machine ?
> 
> Thank you Alejandro, it now works!

 ell glad it does becouse i mad a typo ...

> 
> I think the default is 10, so I tried with window=5 and it completed a
> full repack.

 I was trying to make you use --window-memory=[memory] not --window= ;P

> 
> Now that it works..
> Should I report the original issue as a bug somewhere? e.g. malloc
> failed sounds like a bug.

 This is the right place. Just wait for someone more knowledgeable than
me ...

> 
> 
> 
> Kind regards
> Simon Strandgaard - http://gdtoolbox.com/